syncope-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Francesco Chicchiriccò (JIRA) <j...@apache.org>
Subject [jira] [Updated] (SYNCOPE-1364) Upgrade tool from 2.0 script error
Date Wed, 05 Sep 2018 11:28:00 GMT

     [ https://issues.apache.org/jira/browse/SYNCOPE-1364?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Francesco Chicchiriccò updated SYNCOPE-1364:
--------------------------------------------
    Fix Version/s: 3.0.0
                   2.1.2

> Upgrade tool from 2.0 script error
> ----------------------------------
>
>                 Key: SYNCOPE-1364
>                 URL: https://issues.apache.org/jira/browse/SYNCOPE-1364
>             Project: Syncope
>          Issue Type: Bug
>          Components: core
>    Affects Versions: 2.1.1
>            Reporter: Filipe Silva
>            Assignee: Francesco Chicchiriccò
>            Priority: Blocker
>             Fix For: 2.1.2, 3.0.0
>
>
> The upgrade.sql file generated with the upgrade tool has a script error: wrong column
name 
> {code:java}
> INSERT INTO RealmAction(task_id,implementation_id) VALUES( ...
> {code}
> and should be
> {code:java}
> INSERT INTO RealmAction(realm_id,implementation_id) VALUES( ...
> {code}
> I think the problem is in core/upgrade/src/main/java/org/apache/syncope/core/upgrade/GenerateUpgradeSQL.java
(line 381)
> {code:java}
> OUT.write("_INSERT_ _INTO_ _RealmAction_(task_id,implementation_id) VALUES("
> {code}
> should be corrected to 
> {code:java}
> OUT.write("_INSERT_ _INTO_ _RealmAction_(realm_id,implementation_id) VALUES("
> {code}
> (test with postgres DB)



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message